%undefine __cmake_in_source_build


Summary:  KDE Frameworks 5 Tier 1 addon with archive functions
Name:     kf5-karchive
Version:  5.110.0
%global majmin %majmin_ver_kf5
%global stable %stable_kf5
Release:  1%{?dist}
License:  LGPLv2+ and BSD
URL:      https://invent.kde.org/frameworks/karchive
Source0:  http://download.kde.org/%{stable}/frameworks/%{majmin}/karchive-%{version}.tar.xz

BuildRequires:  bzip2-devel, extra-cmake-modules >= %{version}
BuildRequires:  kf5-rpm-macros >= %{version}
BuildRequires:  qt5-qtbase-devel
BuildRequires:  xz-devel, zlib-devel
BuildRequires:  cmake(Qt5LinguistTools), pkgconfig(libzstd)

Requires:       kf5-filesystem >= %{majmin}

%description
KDE Frameworks 5 Tier 1 addon with archive functions.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       qt5-qtbase-devel

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -n karchive-%{version}


%build
%{cmake_kf5}
%cmake_build


%install
%cmake_install

%find_lang_kf5 karchive5_qt

%files -f karchive5_qt.lang
%license LICENSES/*.txt
%doc AUTHORS README.md
%{_kf5_libdir}/libKF5Archive.so.*
%{_kf5_datadir}/qlogging-categories5/*categories

%files devel
%{_kf5_includedir}/KArchive/
%{_kf5_libdir}/libKF5Archive.so
%{_kf5_libdir}/cmake/KF5Archive/
%{_kf5_archdatadir}/mkspecs/modules/qt_KArchive.pri


%changelog
* Sat Nov 11 2023 Chair <chairou@tencent.com> - 5.110.0-1
- Init
